# Couenne::kpowertriplet Class Reference

`#include <CouenneFunTriplets.hpp>`

Inheritance diagram for Couenne::kpowertriplet:

List of all members.

## Public Member Functions
| kpowertriplet (CouNumber exponent, CouNumber k)
| Basic constructor.
virtual | ~kpowertriplet ()
| Destructor.
virtual CouNumber | F (CouNumber x)
virtual CouNumber | Fp (CouNumber x)
virtual CouNumber | Fpp (CouNumber x)
virtual CouNumber | FpInv (CouNumber x)
## Protected Attributes
CouNumber | mult_

## Detailed Description

Definition at line 103 of file CouenneFunTriplets.hpp.

## Constructor & Destructor Documentation

Couenne::kpowertriplet::kpowertriplet | ( | CouNumber | exponent,
|  | CouNumber | k |
| ) |  |  | `[inline]`

Basic constructor.

Definition at line 112 of file CouenneFunTriplets.hpp.

virtual Couenne::kpowertriplet::~kpowertriplet | ( |  | ) | `[inline, virtual]`

Destructor.

Definition at line 117 of file CouenneFunTriplets.hpp.

## Member Function Documentation

virtual CouNumber Couenne::kpowertriplet::F | ( | CouNumber | x | ) | `[inline, virtual]`

Reimplemented from Couenne::powertriplet.

Definition at line 119 of file CouenneFunTriplets.hpp.

References Couenne::powertriplet::exponent_, mult_, and Couenne::safe_pow().

virtual CouNumber Couenne::kpowertriplet::Fp | ( | CouNumber | x | ) | `[inline, virtual]`

Reimplemented from Couenne::powertriplet.

Definition at line 122 of file CouenneFunTriplets.hpp.

References Couenne::powertriplet::exponent_, mult_, and Couenne::safe_pow().

virtual CouNumber Couenne::kpowertriplet::Fpp | ( | CouNumber | x | ) | `[inline, virtual]`

Reimplemented from Couenne::powertriplet.

Definition at line 125 of file CouenneFunTriplets.hpp.

References Couenne::powertriplet::exponent_, mult_, and Couenne::safe_pow().

virtual CouNumber Couenne::kpowertriplet::FpInv | ( | CouNumber | x | ) | `[inline, virtual]`

Reimplemented from Couenne::powertriplet.

Definition at line 128 of file CouenneFunTriplets.hpp.

References Couenne::powertriplet::exponent_, mult_, and Couenne::safe_pow().

## Member Data Documentation

CouNumber Couenne::kpowertriplet::mult_`[protected]`

Definition at line 107 of file CouenneFunTriplets.hpp.

Referenced by F(), Fp(), FpInv(), and Fpp().

The documentation for this class was generated from the following file:

- CouenneFunTriplets.hpp

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Defines